'''
Created on 8 mars 2016

@author: coissac
'''

__title__="Counts sequences in a sequence set"


default_config = {   'countmode'       : None
                 }

def addOptions(parser):
    parser.add_argument(dest='obi:input',     metavar='obi:input', 
                                              nargs='?', 
                                              default=None,
                        help='input data set' )

    group=parser.add_option_group('Obicount specific options')
    group.add_option('-s','--sequence',
                             action="store_true", dest="count:sequence",
                             default=False,
                             help="Prints only the number of sequence records."
                             )
 
    group.add_option('-a','--all',
                             action="store_true", dest="count:all",
                             default=False,
                             help="Prints only the total count of sequence records (if a sequence has no `count` attribute, its default count is 1) (default: False)."
                             )

    
    
def run(config):
    # The code of my command
    pass
